<?php
/**
 * Klasa jezykowa mfLinka
 *
 */
class MfLinkDescription  extends DataObject {

	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_link_description';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_link_description';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tabela mapująca pola z bazy SQL na pola klasy.
	 * 
	 * id_mf_link	description 	lang 	publication
	 */
	static $fields = array(
	'id_mf_link_description' => 'id',
	'id_mf_link' => 'idMfLink' ,
	'description' => 'description' ,
	'lang' => 'lang',
	'publication' => 'publication'
	);

	protected $id;
	private $idMfLink;
	private $description;
	private $lang;
	private $publication;


	public function GetId() {
		return $this->id;
	}

	public function SetId($id) {
		$this->id = $id;
	}

	public function GetIdMfLink() {
		return $this->idMfLink;
	}

	public function SetIdMfLink($idMfLink) {
		$this->idMfLink = $idMfLink;
	}

	public function GetDescription() {
		return $this->description;
	}

	public function SetDescription($description) {
		$this->description = $description;
	}

	public function GetLang() {
		return $this->lang;
	}

	public function SetLang($lang) {
		$this->lang = $lang;
	}

	public function GetPublication() {
		return $this->publication;
	}

	public function SetPublication($publication) {
		$this->publication = $publication;
	}
	
	





	/**
	 * Konstruktor klasy
	 *
	 * @param integer $id
	 */

	public function __construct($id = -1) {
		$this->SetId($id);
	}

	/**
	 * Pobiera nazwę tabeli reprezentującej obiekt w SQL
	 * @return string
	 */

	public  function GetTableName(){
		return self::$tableName;
	}
	/**
       * Pobiera taablice mapującą pola klasy na pola tabeli
       * @return array
       */
	public  function GetFields(){
		return self::$fields;
	}
	/**
       * Pobiera nazwę klasy
       * @return string
       */
	public  function GetClassName(){
		return self::$className;
	}


	public function GetClassTablePK() {
		return self::$classTablePK;
	}


}
?>